Get all shipping charge lists
get
/fscmRestApi/resources/11.13.18.05/shippingChargeLists
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds the shipping charge list based on the primary key.
Finder Variables- ShippingChargeListId; integer; Unique identifier of the shipping charge list.
- filterEffectiveShippingChargeLists Finds shipping charge lists based on business unit, currency code, and current date.
Finder Variables- bindBuId; integer; Unique identifier of the business unit.
- bindCurrencyCode; string; Currency code that identifies a shipping charge list.
- bindCurrentDate; string; Current date to identify a shipping charge list.
- PrimaryKey Finds the shipping charge list based on the primary key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- BusinessUnit; string; Business unit associated with the shipping charge list.
- BusinessUnitId; integer; Unique identifier of the business unit.
- CreatedBy; string; User who created the shipping charge list.
- CreationDate; string; Date when the shipping charge list was created.
- Currency; string; Currency of the shipping charge list.
- CurrencyCode; string; Currency code of the shipping charge list.
- EndDate; string; End date of the shipping charge list.
- LastUpdateDate; string; Date when the shipping charge list was last updated.
- LastUpdatedBy; string; User who last updated the shipping charge list.
- ShippingChargeListDescription; string; Description of the shipping charge list.
- ShippingChargeListId; integer; Unique identifier of the shipping charge list.
- ShippingChargeListName; string; Name of the shipping charge list.
- StartDate; string; Start date of the shipping charge list.
- Status; string; Status of the shipping charge list.
- StatusCode; string; Status code of the shipping charge list.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : shippingChargeLists
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : shippingChargeLists-item-response
Type:
Show Source
object-
accessSets: array
Access Sets
Title:
Access SetsInformation about an access set for a shipping charge list. -
BusinessUnit: string
Maximum Length:
240Business unit associated with the shipping charge list. -
BusinessUnitId: integer
(int64)
Title:
Business UnitUnique identifier of the business unit. -
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the shipping charge list. -
CreationDate: string
(date-time)
Read Only:
trueDate when the shipping charge list was created. -
Currency: string
Maximum Length:
80Currency of the shipping charge list. -
CurrencyCode: string
Title:
CurrencyMaximum Length:15Currency code of the shipping charge list. -
details: array
Details
Title:
DetailsInformation about the details of the shipping charge list, which stores the items and shipping methods. -
EndDate: string
(date-time)
Title:
End DateEnd date of the shipping charge list. -
headerDFF: array
headerDFF
-
LastUpdateDate: string
(date-time)
Read Only:
trueDate when the shipping charge list was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who last updated the shipping charge list. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
referencedEntities: array
Referenced Entities
Title:
Referenced EntitiesA collection of entities that cost lists are referenced in. For example, a cost list is referenced in two entities: customer pricing and pricing strategy. -
ShippingChargeListDescription: string
Title:
DescriptionMaximum Length:1000Description of the shipping charge list. -
ShippingChargeListId: integer
(int64)
Unique identifier of the shipping charge list.
-
ShippingChargeListName: string
Title:
NameMaximum Length:80Name of the shipping charge list. -
StartDate: string
(date-time)
Title:
Start DateStart date of the shipping charge list. -
Status: string
Maximum Length:
80Status of the shipping charge list. -
StatusCode: string
Title:
StatusMaximum Length:30Default Value:IN_PROGRESSStatus code of the shipping charge list.
Nested Schema : Access Sets
Type:
arrayTitle:
Access SetsInformation about an access set for a shipping charge list.
Show Source
Nested Schema : Details
Type:
arrayTitle:
DetailsInformation about the details of the shipping charge list, which stores the items and shipping methods.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Referenced Entities
Type:
arrayTitle:
Referenced EntitiesA collection of entities that cost lists are referenced in. For example, a cost list is referenced in two entities: customer pricing and pricing strategy.
Show Source
Nested Schema : shippingChargeLists-accessSets-item-response
Type:
Show Source
object-
AccessSetCode: string
Maximum Length:
30Access set code of the shipping charge list. -
AccessSetDescription: string
Maximum Length:
2000Description of the access set. -
AccessSetId: integer
(int64)
Unique identifier of the access set.
-
AccessSetName: string
Maximum Length:
80Name of the access set. -
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the access set. -
CreationDate: string
(date-time)
Read Only:
trueDate when the access set was created. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate when the access set was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who last updated the access set. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ShippingChargeListId: integer
(int64)
Unique identifier of the shipping charge list.
-
ShippingChargeListSetId: integer
(int64)
Unique identifier of the shipping charge list set.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : shippingChargeLists-details-item-response
Type:
Show Source
object-
charges: array
Charges
Title:
ChargesInformation about charges of the shipping charge list. -
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the shipping charge list. -
CreationDate: string
(date-time)
Read Only:
trueDate when the shipping charge list was created. -
ItemId: integer
(int64)
Unique identifier of the item.
-
ItemLevel: string
Maximum Length:
255Item level for the item. -
ItemLevelCode: string
Maximum Length:
30Abbreviation that identifies the item level. -
ItemNumber: string
Maximum Length:
255Number for the item. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate when the shipping charge list was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who last updated the shipping charge list. -
LineType: string
Maximum Length:
255Type of the line applied to the discount list items in the shipping charge list. -
LineTypeCode: string
Title:
Line TypeMaximum Length:30Abbreviation that identifies the line type. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
PricingUOM: string
Maximum Length:
255Unit of measure for pricing. -
PricingUOMCode: string
Maximum Length:
3Abbreviation that identifies the UOM for pricing. -
PrimaryPricingUOMFlag: boolean
Maximum Length:
30Contains one of the following values: true or false. If true, then the item and UOM combination is the primary unit of measure. If false, then the item and UOM combination isn't the primary unit of measure. -
RuleType: string
Maximum Length:
255Type of rule defined for a shipping entity. -
RuleTypeCode: string
Maximum Length:
30Abbreviation that identifies the rule type. -
ShippingCarrier: string
Maximum Length:
255Name of the shipping carrier. -
ShippingCarrierId: integer
(int64)
Value that uniquely identifies the shipping carrier.
-
ShippingChargeListId: integer
(int64)
Read Only:
trueValue that uniquely identifies the shipping charge list. -
ShippingDetailId: integer
(int64)
Value that uniquely identifies the shipping detail.
-
ShippingMethod: string
Maximum Length:
255Name of the shipping method. -
ShippingMethodId: integer
(int64)
Title:
Shipping MethodValue that uniquely identifies the method. -
ShippingMode: string
Maximum Length:
255Name of the shipping mode. -
ShippingModeCode: string
Maximum Length:
255Abbreviation that identifies the shipping mode. -
ShippingServiceLevel: string
Maximum Length:
255Name of the shipping service level. -
ShippingServiceLevelCode: string
Maximum Length:
255Abbreviation that identifies the shipping service level.
Nested Schema : Charges
Type:
arrayTitle:
ChargesInformation about charges of the shipping charge list.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : shippingChargeLists-details-charges-item-response
Type:
Show Source
object-
BasePrice: number
Title:
Base PriceThe price based on which a charge is calculated. -
CalculationMethod: string
Maximum Length:
255Calculation method used to determine a shipping charge. -
CalculationMethodCode: string
Title:
Calculation MethodMaximum Length:30Abbreviation that identifies the calculation method. -
CanAdjustFlag: boolean
Title:
Allow manual adjustmentMaximum Length:30Default Value:falseContains one of the following values: true or false. If true, then the shipping charge can be adjusted. If false, then the shipping charge can't be adjusted. -
ChargeLevel: string
Maximum Length:
255Indicates the level a shipping charge is applied to. -
ChargeLevelCode: string
Title:
Charge LevelMaximum Length:30Default Value:LINE_LEVELAbbreviation that identifies the charge level. -
ChargeLineNumber: integer
(int32)
Title:
Line NumberNumber of the charge line. -
chargesDFF: array
chargesDFF
-
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the shipping charge list. -
CreationDate: string
(date-time)
Read Only:
trueDate when the shipping charge list was created. -
EndDate: string
(date-time)
Title:
End DateDate when the record ends. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate when the shipping charge list was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who last updated the shipping charge list. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
PricingChargeDefinition: string
Maximum Length:
255Name of a pricing charge definition. -
PricingChargeDefinitionCode: string
Maximum Length:
255Abbreviation that identifies the pricing charge definition. -
PricingChargeDefinitionId: integer
(int64)
Title:
Pricing Charge DefinitionValue that uniquely identifies the pricing charge definition. -
pricingMatrixes: array
Pricing Matrixes
Title:
Pricing MatrixesA pricing matrix represents a way to manage price adjustments, discounts, rate tables, and other matrix features. -
ShippingChargeId: integer
(int64)
Value that uniquely identifies the shipping charge.
-
ShippingChargeListId: integer
(int64)
Value that uniquely identifies the shipping charge list information.
-
ShippingChargeMatrixId: integer
(int64)
Value that uniquely identifies the shipping charge matrix.
-
ShippingDetailId: integer
(int64)
Value that uniquely identifies the shipping detail information.
-
StartDate: string
(date-time)
Title:
Start DateDate when the record started.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Pricing Matrixes
Type:
arrayTitle:
Pricing MatrixesA pricing matrix represents a way to manage price adjustments, discounts, rate tables, and other matrix features.
Show Source
Nested Schema : shippingChargeLists-details-charges-chargesDFF-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context SegmentMaximum Length:150Context Segment -
__FLEX_Context_DisplayValue: string
Title:
Context SegmentContext Segment -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ShippingChargeId: integer
(int64)
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : shippingChargeLists-details-charges-pricingMatrixes-item-response
Type:
Show Source
object-
ChangeType: string
Read Only:
trueMaximum Length:255Change type for the pricing matrixes in the approval flow. -
ChangeTypeCode: string
Maximum Length:
30Code that designates the type of change for the pricing matrixes for the approval flow. -
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the record. -
CreationDate: string
(date-time)
Read Only:
trueDate and time when the record was created. -
dimensions: array
Matrix Dimensions
Title:
Matrix DimensionsA matrix dimension is a condition with which you can drive price adjustments, discounts, and rate tables. -
EntityApprovalStatus: string
Read Only:
trueMaximum Length:255Approval status of the pricing matrixes when the approval flow is enabled. This status is null if the feature opt-in is set to No. -
EntityApprovalStatusCode: string
Maximum Length:
30Code for the pricing matrices' approval status when the approval flow is enabled. This is null if the feature opt-in is set to No. -
LastUpdateDate: string
(date-time)
Read Only:
trueUser who most recently updated the record. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64Value that uniquely identifies the matrix. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MatrixId: integer
(int64)
Title:
Rule Table IdValue that uniquely identifies the pricing matrix. -
MatrixName: string
Title:
NameMaximum Length:64Name of the pricing matrix. -
rules: array
Matrix Rules
Title:
Matrix RulesA matrix rule represents a condition based price adjustment, discount, rate table, and other features.
Nested Schema : Matrix Dimensions
Type:
arrayTitle:
Matrix DimensionsA matrix dimension is a condition with which you can drive price adjustments, discounts, and rate tables.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Matrix Rules
Type:
arrayTitle:
Matrix RulesA matrix rule represents a condition based price adjustment, discount, rate table, and other features.
Show Source
Nested Schema : shippingChargeLists-details-charges-pricingMatrixes-dimensions-item-response
Type:
Show Source
object-
ChangeType: string
Read Only:
trueMaximum Length:255Change type for the dimensions in the approval flow. -
ChangeTypeCode: string
Maximum Length:
30Code that designates the type of change for the dimensions for the approval flow. -
CompareToAttribute: string
Title:
Compare to AttributeRead Only:trueMaximum Length:80Compare to attribute for a dimension. -
ComparisonOperatorCode: string
Title:
ComparisonRead Only:trueMaximum Length:30Default Value:EComparison operator for a dimension. -
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the record. -
CreationDate: string
(date-time)
Read Only:
trueDate and time when the record was created. -
DataType: string
Title:
Data TypeRead Only:trueMaximum Length:30Default Value:STRINGData type for a dimension. -
DefaultIsFixedValue: string
Title:
Default Is Fixed ValueRead Only:trueMaximum Length:1Default Value:NDefault to a fixed value for a dimension. -
DefaultValueDate: string
(date)
Title:
Default ValueRead Only:trueDefault date for a dimension. -
DefaultValueNumber: number
Title:
Default ValueRead Only:trueDefault number for a dimension. -
DefaultValueString: string
Title:
Default ValueRead Only:trueMaximum Length:100Default string for a dimension. -
DefaultValueTimestamp: string
(date-time)
Title:
Default ValueRead Only:trueDefault time stamp for a dimension. -
DimensionId: integer
Value that uniquely identifies the dimension.
-
DimensionName: string
Name of the dimension.
-
DimensionType: string
Title:
ColumnTypeRead Only:trueMaximum Length:50Type for the dimension. -
DisplaySequence: integer
(int32)
Title:
Display SequenceRead Only:trueDisplay sequence for a dimension. -
DomainType: string
Title:
Domain TypeRead Only:trueMaximum Length:30Default Value:NONEDomain type for a dimension. -
EntityApprovalStatus: string
Read Only:
trueMaximum Length:255Approval status of the dimensions when the approval flow is enabled. This status is null if the feature opt-in is set to No. -
EntityApprovalStatusCode: string
Maximum Length:
30Code for the pricing dimensions' approval status when the approval flow is enabled. This is null if the feature opt-in is set to No. -
IsNullable: string
Title:
Allow NullRead Only:trueMaximum Length:1Default Value:NIndicates whether the dimension can be a null value. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate and time when the record was most recently updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who most recently updated the record. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MatrixDimensionId: integer
(int64)
Read Only:
trueValue that uniquely identifies the dimension for a pricing matrix. -
MatrixId: integer
(int64)
Value that uniquely identifies the pricing matrix header.
-
NullasWildCard: string
Title:
Null Is WildcardRead Only:trueMaximum Length:1Default Value:NContains one of the following values: Y or N. If Y, then the dimension can be null for search. If N, then the dimension can't be null for search. The default value is Y. -
RequiredDimensionForClass: string
Title:
RequiredRead Only:trueMaximum Length:240Default Value:NContains one of the following values: Y or N. If Y, then the dimension is required. If N, then the dimension isn't required. The default value is N. -
ShowDefaultValueDimensionInRules: string
Title:
Fixed Column Is DisplayedRead Only:trueMaximum Length:1Default Value:NIndicates whether the dimension with a fixed default value needs to be displayed in the matrix rules user interface. The default value is N. -
SourceCodeName: string
Title:
Source Code NameRead Only:trueMaximum Length:100Name of the source code for the matrix dimension.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : shippingChargeLists-details-charges-pricingMatrixes-rules-item-response
Type:
Show Source
object-
ChangeType: string
Read Only:
trueMaximum Length:255Change type for the matrix rules in the approval flow. -
ChangeTypeCode: string
Maximum Length:
30Code that designates the type of change for the matrix rules for the approval flow. -
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the record. -
CreationDate: string
(date-time)
Read Only:
trueDate and time when the record was created. -
Dimension1: string
Name of the first dimension in the matrix.
-
Dimension10: string
Name of the tenth dimension in the matrix.
-
Dimension10KeyValue: string
Value that uniquely identifies the tenth dimension value in the matrix.
-
Dimension10Value: string
Value of the tenth dimension in the matrix.
-
Dimension11: string
Name of the eleventh dimension in the matrix.
-
Dimension11KeyValue: string
Value that uniquely identifies the eleventh dimension value in the matrix.
-
Dimension11Value: string
Value of the eleventh dimension in the matrix.
-
Dimension12: string
Name of the twelfth dimension in the matrix.
-
Dimension12KeyValue: string
Value that uniquely identifies the twelfth dimension value in the matrix.
-
Dimension12Value: string
Value of the twelfth dimension in the matrix.
-
Dimension13: string
Name of the thirteenth dimension in the matrix.
-
Dimension13KeyValue: string
Value that uniquely identifies the thirteenth dimension value in the matrix.
-
Dimension13Value: string
Value of the thirteenth dimension in the matrix.
-
Dimension14: string
Name of the fourteenth dimension in the matrix.
-
Dimension14KeyValue: string
Value that uniquely identifies the fourteenth dimension value in the matrix.
-
Dimension14Value: string
Value of the fourteenth dimension in the matrix.
-
Dimension15: string
Name of the fifteenth dimension in the matrix.
-
Dimension15KeyValue: string
Value that uniquely identifies the fifteenth dimension value in the matrix.
-
Dimension15Value: string
Value of the fifteenth dimension in the matrix.
-
Dimension16: string
Name of the sixteenth dimension in the matrix.
-
Dimension16KeyValue: string
Value that uniquely identifies the sixteenth dimension value in the matrix.
-
Dimension16Value: string
Value of the sixteenth dimension in the matrix.
-
Dimension17: string
Name of the seventeenth dimension in the matrix.
-
Dimension17KeyValue: string
Value that uniquely identifies the seventeenth dimension value in the matrix.
-
Dimension17Value: string
Value of the seventeenth dimension in the matrix.
-
Dimension18: string
Name of the eighteenth dimension in the matrix.
-
Dimension18KeyValue: string
Value that uniquely identifies the eighteenth dimension value in the matrix.
-
Dimension18Value: string
Value of the eighteenth dimension in the matrix.
-
Dimension19: string
Name of the nineteenth dimension in the matrix.
-
Dimension19KeyValue: string
Value that uniquely identifies the nineteenth dimension value in the matrix.
-
Dimension19Value: string
Value of the nineteenth dimension in the matrix.
-
Dimension1KeyValue: string
Value that uniquely identifies the first dimension value in the matrix.
-
Dimension1Value: string
Value of the first dimension in the matrix.
-
Dimension2: string
Name of the second dimension in the matrix.
-
Dimension20: string
Name of the twentieth dimension in the matrix.
-
Dimension20KeyValue: string
Value that uniquely identifies the twentieth dimension value in the matrix.
-
Dimension20Value: string
Value of the twentieth dimension in the matrix.
-
Dimension21: string
Name of the twenty-first dimension in the matrix.
-
Dimension21KeyValue: string
Value that uniquely identifies the twenty-first dimension value in the matrix.
-
Dimension21Value: string
Value of the twenty-first dimension in the matrix.
-
Dimension22: string
Name of the twenty-second dimension in the matrix.
-
Dimension22KeyValue: string
Value that uniquely identifies the twenty-second dimension value in the matrix.
-
Dimension22Value: string
Value of the twenty-second dimension in the matrix.
-
Dimension23: string
Name of the twenty-third dimension in the matrix.
-
Dimension23KeyValue: string
Value that uniquely identifies the twenty-third dimension value in the matrix.
-
Dimension23Value: string
Value of the twenty-third dimension in the matrix.
-
Dimension24: string
Name of the twenty-fourth dimension in the matrix.
-
Dimension24KeyValue: string
Value that uniquely identifies the twenty-fourth dimension value in the matrix.
-
Dimension24Value: string
Value of the twenty-fourth dimension in the matrix.
-
Dimension25: string
Name of the twenty-fifth dimension in the matrix.
-
Dimension25KeyValue: string
Value that uniquely identifies the twenty-fifth dimension value in the matrix.
-
Dimension25Value: string
Value of the twenty-fifth dimension in the matrix.
-
Dimension2KeyValue: string
Value that uniquely identifies the second dimension value in the matrix.
-
Dimension2Value: string
Value of the second dimension in the matrix.
-
Dimension3: string
Name of the third dimension in the matrix.
-
Dimension3KeyValue: string
Value that uniquely identifies the third dimension value in the matrix.
-
Dimension3Value: string
Value of the third dimension in the matrix.
-
Dimension4: string
Name of the fourth dimension in the matrix.
-
Dimension4KeyValue: string
Value that uniquely identifies the fourth dimension value in the matrix.
-
Dimension4Value: string
Value of the fourth dimension in the matrix.
-
Dimension5: string
Name of the fifth dimension in the matrix.
-
Dimension5KeyValue: string
Value that uniquely identifies the fifth dimension value in the matrix.
-
Dimension5Value: string
Value of the fifth dimension in the matrix.
-
Dimension6: string
Name of the sixth dimension in the matrix.
-
Dimension6KeyValue: string
Value that uniquely identifies the sixth dimension value in the matrix.
-
Dimension6Value: string
Value of the sixth dimension in the matrix.
-
Dimension7: string
Name of the seventh dimension in the matrix.
-
Dimension7KeyValue: string
Value that uniquely identifies the seventh dimension value in the matrix.
-
Dimension7Value: string
Value of the seventh dimension in the matrix.
-
Dimension8: string
Name of the eighth dimension in the matrix.
-
Dimension8KeyValue: string
Value that uniquely identifies the eighth dimension value in the matrix.
-
Dimension8Value: string
Value of the eighth dimension in the matrix.
-
Dimension9: string
Name of the ninth dimension in the matrix.
-
Dimension9KeyValue: string
Value that uniquely identifies the ninth dimension value in the matrix.
-
Dimension9Value: string
Value of the ninth dimension in the matrix.
-
EntityApprovalStatus: string
Read Only:
trueMaximum Length:255Approval status of the matrix rules when the approval flow is enabled. This status is null if the feature opt-in is set to No. -
EntityApprovalStatusCode: string
Maximum Length:
30Code for the pricing matrix rules' approval status when the approval flow is enabled. This is null if the feature opt-in is set to No. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate and time when the record was most recently updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who most recently updated the record. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MatrixId: integer
(int64)
Read Only:
trueValue that uniquely identifies the matrix header. -
MatrixRuleId: integer
(int64)
Read Only:
trueValue that uniquely identifies the matrix rule. -
RuleEndDate: string
(date-time)
Title:
End DateDate when the matrix rule becomes inactive. -
RuleStartDate: string
(date-time)
Title:
Start DateDate when the matrix rule becomes active.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : shippingChargeLists-headerDFF-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context SegmentMaximum Length:150Context Segment -
__FLEX_Context_DisplayValue: string
Title:
Context SegmentContext Segment -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ShippingChargeListId: integer
(int64)
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : shippingChargeLists-referencedEntities-item-response
Type:
Show Source
object-
EntityId: integer
(int64)
Read Only:
trueValue that uniquely identifies the entity. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ReferenceEntityId: integer
Value that uniquely identifies the referenced entity.
-
ReferenceEntityName: string
Name of the referenced entity.
-
ReferenceEntityType: string
Title:
MeaningRead Only:trueMaximum Length:80Value of the referenced entity type. -
ReferenceEntityTypeCode: string
Title:
Lookup CodeRead Only:trueMaximum Length:30Abbreviation that identifies the type of referenced entity.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Examples
This example describes how to get all shipping charge lists.
Example cURL Command
Use the following cURL command to submit a request on the REST resource:
curl -u username:password "https://servername/fscmRestApi/resources/version/shippingChargeLists/"
Example Response Body
The following example includes the contents of the response body in JSON format:
{
"details": [
{
"ShippingChargeListName": "BVTDiscName-1449140490211",
"ShippingChargeListId": 300100073355000,
"ShippingChargeListDescription": "BVTDiscName-1449140490211",
"PriceType": "One time",
"PriceTypeCode": "ONE_TIME",
"PricePeriodicity": null,
"PricePeriodicityCode": null,
"ChargeType": "Sale",
"ChargeTypeCode": "ORA_SALE",
"ChargeSubtype": "Price",
"ChargeSubtypeCode": "ORA_PRICE",
"LineType": "Buy",
"LineTypeCode": "ORA_BUY",
"BusinessUnit": "Vision Operations",
"BusinessUnitId": 204,
"Currency": "US Dollar",
"CurrencyCode": "USD",
"Status": "Approved",
"StatusCode": "APPROVED",
"StartDate": "2015-12-03T03:01:00+00:00",
"EndDate": "2015-12-03T03:01:00+00:00",
"CreationDate": "2015-12-03T11:01:40+00:00",
"CreatedBy": "PRICING_MGR_OPERATIONS",
"LastUpdateDate": "2015-12-03T11:07:46.691+00:00",
"LastUpdatedBy": "PRICING_MGR_OPERATIONS"
},
{
"ShippingChargeListName": "BVT-DiscList_1450105552823",
"ShippingChargeListId": 300100088688636,
"ShippingChargeListDescription": "BVT-DiscList_1450105552823",
"PriceType": "One time",
"PriceTypeCode": "ONE_TIME",
"PricePeriodicity": null,
"PricePeriodicityCode": null,
"ChargeType": "Service",
"ChargeTypeCode": "ORA_SERVICE",
"ChargeSubtype": "Price",
"ChargeSubtypeCode": "ORA_PRICE",
"LineType": "Buy",
"LineTypeCode": "ORA_BUY",
"BusinessUnit": "Vision Operations",
"BusinessUnitId": 204,
"Currency": "US Dollar",
"CurrencyCode": "USD",
"Status": "Approved",
"StatusCode": "APPROVED",
"StartDate": "2015-12-14T07:07:00+00:00",
"EndDate": "2015-12-14T07:07:00+00:00",
"CreationDate": "2015-12-14T15:07:11+00:00",
"CreatedBy": "PRICING_MGR_OPERATIONS",
"LastUpdateDate": "2015-12-14T15:17:07.722+00:00",
"LastUpdatedBy": "PRICING_MGR_OPERATIONS"
}
]
}